Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Appel à rejoindre Borsalinux-fr

#1 31/10/2018 14:02:12

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

[Résolu] probléme avec fwupd

Bonjour,

je fais une install en terminal vers fedora 29 mais qqs petits soucis . que voici:

dnf system-upgrade download --releasever=29
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Échec de la synchronisation du cache pour le dépôt « winff-source », désactivation.
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:00:00 le mer 31 oct 2018 13:45:25 CET.
Erreur : 
 Problème 1: package evince-browser-plugin-3.28.4-2.fc28.x86_64 requires evince(x86-64) = 3.28.4-2.fc28, but none of the providers can be installed
  - evince-3.28.4-2.fc28.x86_64 does not belong to a distupgrade repository
  - problem with installed package evince-browser-plugin-3.28.4-2.fc28.x86_64
 Problème 2: package libmypaint-1.3.0-9.fc29.x86_64 conflicts with mypaint < 1.3.0 provided by mypaint-1.2.1-19.fc29.x86_64
  - package gimp-2:2.10.6-2.fc29.x86_64 requires libmypaint-1.3.so.0()(64bit), but none of the providers can be installed
  - problem with installed package mypaint-1.2.1-18.fc28.x86_64
  - problem with installed package gimp-2:2.8.22-7.fc28.x86_64
  - mypaint-1.2.1-18.fc28.x86_64 does not belong to a distupgrade repository
  - gimp-2:2.8.22-7.fc28.x86_64 does not belong to a distupgrade repository
(essayez d’ajouter « --allowerasing » à la ligne de commande pour remplacer les paquets en conflitou « --skip-broken » pour ignorer les paquets non installables)

j ai donc entrer la commande

dnf system-upgrade download --releasever=29 --allowerasing

et ca donne ceci :



attention : /var/lib/dnf/system-upgrade/fedora-8c9e363c32277c01/packages/clementine-1.3.1-27.fc29.x86_64.rpm: Entête V3 RSA/SHA256 Signature, clé ID 429476b4: NOKEY
Importing GPG key 0x429476B4:
 Userid     : "Fedora 29 (29) <fedora-29@fedoraproject.org>"
 Fingerprint: 5A03 B4DD 8254 ECA0 2FDA 1637 A20A A56B 4294 76B4
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-x86_64
Voulez-vous continuer ? [o/N] :o
La clé a été importée avec succès
attention : /var/lib/dnf/system-upgrade/rpmfusion-free-186f05eca727335e/packages/live555-2018.09.18-1.fc29.x86_64.rpm: Entête V4 RSA/SHA1 Signature, clé ID 42f19ed0: NOKEY
Importing GPG key 0x42F19ED0:
 Userid     : "RPM Fusion free repository for Fedora (29) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: BD12 7385 C312 090F F2F3 5FA1 1191 A7C4 42F1 9ED0
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-29
Voulez-vous continuer ? [o/N] :o
La clé a été importée avec succès
attention : /var/lib/dnf/system-upgrade/rpmfusion-nonfree-031ab9be5149b76a/packages/faac-1.29.9.2-3.fc29.x86_64.rpm: Entête V4 RSA/SHA1 Signature, clé ID d6841af8: NOKEY
Importing GPG key 0xD6841AF8:
 Userid     : "RPM Fusion nonfree repository for Fedora (29) <rpmfusion-buildsys@lists.rpmfusion.org>"
 Fingerprint: 18A5 0439 A072 A393 E471 78D4 9C00 9EAB D684 1AF8
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-29
Voulez-vous continuer ? [o/N] :o
La clé a été importée avec succès
Test de la transaction en cours
La vérification de la transaction a réussi.
Lancement de la transaction de test
Les paquets téléchargés ont été mis en cache jusqu’à la prochaine transaction réussie.
Vous pouvez supprimer les paquets en cache en exécutant « dnf clean packages ».
Erreur : Erreur du contrôle de transaction :
  le fichier /usr/lib/systemd/system/fwupd.service entre en conflit avec les tentatives d'installation de fwupd-1.1.3-1.fc29.i686 et fwupd-1.1.3-1.fc29.x86_64

Résumé des erreurs
-------------

que puis je faire ?

merci d avance de vos réponses

Hors ligne

#2 31/10/2018 14:09:07

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 489
Site Web

Re : [Résolu] probléme avec fwupd

Bonjour

as tu bien fait le

dnf --refresh upgrade

avant ?

Dans le 2e message il parle de fwupd qui serait en i686. Tu as d'autres paquets installés qui seraient en 32 bits au lieu de 64bits ?


Linux, ya moins bien, mais c'est plus chèr!!!
Fedora 29 x86_64 sur Samsung NP740 et Dell Latitude E5440

Hors ligne

#3 31/10/2018 14:13:52

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

Re : [Résolu] probléme avec fwupd

oui ca a été fais le refresh . par principe j installe au max automatiquement apres quand j installe des paquets je sais que mon ordi est en 64bits

Hors ligne

#4 31/10/2018 14:20:57

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 489
Site Web

Re : [Résolu] probléme avec fwupd

Que donne du coup

rpm -qa | grep fwupd

Linux, ya moins bien, mais c'est plus chèr!!!
Fedora 29 x86_64 sur Samsung NP740 et Dell Latitude E5440

Hors ligne

#5 31/10/2018 14:24:14

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

Re : [Résolu] probléme avec fwupd

voila ce que ca donne

[root@localhost miime]# rpm -qa | grep fwupd
fwupd-1.0.9-1.fc28.x86_64
fwupdate-efi-11-2.fc28.x86_64
fwupdate-libs-11-2.fc28.x86_64
fwupd-labels-1.0.9-1.fc28.x86_64
fwupd-1.0.9-1.fc28.i686

Hors ligne

#6 31/10/2018 14:38:07

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 489
Site Web

Re : [Résolu] probléme avec fwupd

Et

package-cleanup --dupes

il te ressort le fwupd en 32 bits ?


Linux, ya moins bien, mais c'est plus chèr!!!
Fedora 29 x86_64 sur Samsung NP740 et Dell Latitude E5440

Hors ligne

#7 31/10/2018 14:43:41

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

Re : [Résolu] probléme avec fwupd

voila :

[root@localhost miime]# package-cleanup --dupes
bash: package-cleanup: commande inconnue...
Les paquets fournissant ces fichiers sont :
'yum-utils'
'dnf-utils'

Hors ligne

#8 31/10/2018 14:46:02

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 489
Site Web

Re : [Résolu] probléme avec fwupd

Je suppose que tu as installé les paquets manquant indiqués ? Quel est le soucis ?


Linux, ya moins bien, mais c'est plus chèr!!!
Fedora 29 x86_64 sur Samsung NP740 et Dell Latitude E5440

Hors ligne

#9 31/10/2018 14:50:36

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

Re : [Résolu] probléme avec fwupd

genre faire

dnf install fwupd-1.1.3-1.fc29.x86_64 

? deso je me débrouille un peu mais suis loin d etre ultra pro

Hors ligne

#10 31/10/2018 14:59:47

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 6 489
Site Web

Re : [Résolu] probléme avec fwupd

Là c'est juste une question de suivre une indication assez claire:

package-cleanup: commande inconnue...

ok, la solution est donnée juste après (que tu as copier/coller au passage, on a qu'à dire que c'est la fatigue):

Les paquets fournissant ces fichiers sont :
'yum-utils'

donc plutôt

dnf install yum-utils

La commande package-cleanup devrait maintenant fonctionner.


Linux, ya moins bien, mais c'est plus chèr!!!
Fedora 29 x86_64 sur Samsung NP740 et Dell Latitude E5440

Hors ligne

#11 31/10/2018 15:38:09

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 325
Site Web

Re : [Résolu] probléme avec fwupd

La suppression de fwupd-1.0.9-1.fc28.i686 n'est pas suffisante comme tu es en 64bits ?

# dnf remove fwupd-1.0.9-1.fc28.i686

F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5750 Fanless - 8Go RAM /&/ F29_64 Gnome-Shell - Toshiba Satellite C660D-19X - 8Go RAM
F29_64 - ASRock 960GC-GS FX - AMD FX(tm)-8300 - 16Go RAM

Hors ligne

#12 31/10/2018 20:58:20

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

Re : [Résolu] probléme avec fwupd

j ai supprimé le paquet et c est résolu merci :)

Hors ligne

#13 31/10/2018 21:12:17

Nicosss
Membre
Lieu : Isère
Inscription : 05/03/2007
Messages : 4 325
Site Web

Re : [Résolu] probléme avec fwupd

Tu devrais pouvoir le ré-installer après si tu en as besoin.


F29_64 Gnome-Shell - GA-990FXA-UD3 - Phenom II X6 1100T - NH-D14 - Ati HD 5750 Fanless - 8Go RAM /&/ F29_64 Gnome-Shell - Toshiba Satellite C660D-19X - 8Go RAM
F29_64 - ASRock 960GC-GS FX - AMD FX(tm)-8300 - 16Go RAM

Hors ligne

#14 01/11/2018 14:22:59

Miiimee
Membre
Inscription : 21/03/2017
Messages : 101

Re : [Résolu] probléme avec fwupd

merci de votre aide

Hors ligne

Pied de page des forums